Foxit PDF SDK

Static Public Member Functions | List of all members
FSDK.TableGenerator Class Reference

## Static Public Member Functions
static | AddTableToPage (page, data, cell_array)
| Add a new table to the PDF page. More...
static | InsertTablePagesToDocument (doc, dest_page_index, page_width, fpage_height, data, cell_array, allow_to_cross_page, tablegenerator_callback)
| Insert a new table which is contained in one or multi pages into the document. More...

## Detailed Description

This class is used to insert tables to PDF document. Before using any class or methods in this module, please ensure Foxit PDF SDK has been initialized successfully by function with a key including "TableMaker" module. FSDK.Library

## Member Function Documentation

## ◆ AddTableToPage()

static FSDK.TableGenerator.AddTableToPage | ( | page | ,
|  | data | ,
|  | cell_array |
| ) |  |
| static

Add a new table to the PDF page.

Parameters

  [in] | page | A valid PDF page object.
  [in] | data | The object of FSDK.TableData. Please make sure that the product of FSDK.TableData.row_count and FSDK.TableData.col_count in data is the same as the number of cell_array, otherwise an exception will be thrown. Please make sure that the FSDK.TableData.rect in data is not empty and is in the page box of the current page, otherwise an exception will be thrown.
  [in] | cell_array | This is a two-dimensional array, an array of FSDK.TableCellDataColArray objects. Exception FSDK.e_ErrUnsupported will be thrown if the text and image are in the same cell.

Returns
  true means success, while false means failure.

## ◆ InsertTablePagesToDocument()

static FSDK.TableGenerator.InsertTablePagesToDocument | ( | doc | ,
|  | dest_page_index | ,
|  | page_width | ,
|  | fpage_height | ,
|  | data | ,
|  | cell_array | ,
|  | allow_to_cross_page | ,
|  | tablegenerator_callback |
| ) |  |
| static

Insert a new table which is contained in one or multi pages into the document.

Parameters

  [in] | doc | A valid PDF document object.
  [in] | dest_page_index | A dest page index in current PDF document. This is used to specify where the new pages will be inserted. If parameter dest_page_index is less than 0, the new pages will be inserted to the first. If parameter dest_page_index is equal to or larger than current page count, the new pages will be inserted to the end.
  [in] | page_width | The new pages width (unit is 1/72 inch).
  [in] | page_height | The new pages height (unit is 1/72 inch).
  [in] | data | The object of FSDK.TableData. Please make sure that the product of FSDK.TableData.row_count and FSDK.TableData.col_count in data is the same as the number of cell_array, otherwise an exception will be thrown. Please make sure that the FSDK.TableData.rect in data is not empty and is in the page box of the current page, otherwise an exception will be thrown.
  [in] | cell_array | This is a two-dimensional array, an array of FSDK.TableCellDataColArray objects. Exception FSDK.e_ErrUnsupported will be thrown if the text and image are in the same cell.
  [in] | allow_to_cross_page | A boolean value spacifies that whether to allow the table to cross page.true means allow, false means not. Currently, cell merging is not supported if parameter allow_to_cross_page is true.
  [in] | tablegenerator_callback | The callback for table generator, which is implemented based on callback class FSDK.TableGeneratorCallback.

Returns
  true means success, while false means failure.